/*     */ package org.apache.batik.ext.awt.image.codec.imageio;
/*     */ 
/*     */ import java.awt.image.RenderedImage;
/*     */ import javax.imageio.ImageWriteParam;
/*     */ import javax.imageio.ImageWriter;
/*     */ import javax.imageio.metadata.IIOInvalidTreeException;
/*     */ import javax.imageio.metadata.IIOMetadata;
/*     */ import javax.imageio.metadata.IIOMetadataNode;
/*     */ import javax.imageio.plugins.jpeg.JPEGImageWriteParam;
/*     */ import org.apache.batik.ext.awt.image.spi.ImageWriterParams;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ImageIOJPEGImageWriter
/*     */   extends ImageIOImageWriter
/*     */ {
/*     */   private static final String JPEG_NATIVE_FORMAT = "javax_imageio_jpeg_image_1.0";
/*     */   
/*  45 */   public ImageIOJPEGImageWriter() { super("image/jpeg"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected IIOMetadata updateMetadata(IIOMetadata meta, ImageWriterParams params) {
/*  53 */     if ("javax_imageio_jpeg_image_1.0".equals(meta.getNativeMetadataFormatName())) {
/*  54 */       meta = addAdobeTransform(meta);
/*     */       
/*  56 */       IIOMetadataNode root = (IIOMetadataNode)meta.getAsTree("javax_imageio_jpeg_image_1.0");
/*     */ 
/*     */       
/*  59 */       IIOMetadataNode jv = getChildNode(root, "JPEGvariety");
/*  60 */       if (jv == null) {
/*  61 */         jv = new IIOMetadataNode("JPEGvariety");
/*  62 */         root.appendChild(jv);
/*     */       } 
/*     */       
/*  65 */       if (params.getResolution() != null) {
/*  66 */         IIOMetadataNode child = getChildNode(jv, "app0JFIF");
/*  67 */         if (child == null) {
/*  68 */           child = new IIOMetadataNode("app0JFIF");
/*  69 */           jv.appendChild(child);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/*  74 */         child.setAttribute("majorVersion", null);
/*  75 */         child.setAttribute("minorVersion", null);
/*  76 */         child.setAttribute("resUnits", "1");
/*  77 */         child.setAttribute("Xdensity", params.getResolution().toString());
/*  78 */         child.setAttribute("Ydensity", params.getResolution().toString());
/*  79 */         child.setAttribute("thumbWidth", null);
/*  80 */         child.setAttribute("thumbHeight", null);
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/*  92 */         meta.setFromTree("javax_imageio_jpeg_image_1.0", root);
/*     */       }
/*  94 */       catch (IIOInvalidTreeException e) {
/*  95 */         throw new RuntimeException("Cannot update image metadata: " + e.getMessage(), e);
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 105 */     return meta;
/*     */   }
/*     */ 
/*     */   
/*     */   private static IIOMetadata addAdobeTransform(IIOMetadata meta) {
/* 110 */     IIOMetadataNode root = (IIOMetadataNode)meta.getAsTree("javax_imageio_jpeg_image_1.0");
/*     */     
/* 112 */     IIOMetadataNode markerSequence = getChildNode(root, "markerSequence");
/* 113 */     if (markerSequence == null) {
/* 114 */       throw new RuntimeException("Invalid metadata!");
/*     */     }
/*     */     
/* 117 */     IIOMetadataNode adobeTransform = getChildNode(markerSequence, "app14Adobe");
/* 118 */     if (adobeTransform == null) {
/* 119 */       adobeTransform = new IIOMetadataNode("app14Adobe");
/* 120 */       adobeTransform.setAttribute("transform", "1");
/* 121 */       adobeTransform.setAttribute("version", "101");
/* 122 */       adobeTransform.setAttribute("flags0", "0");
/* 123 */       adobeTransform.setAttribute("flags1", "0");
/*     */       
/* 125 */       markerSequence.appendChild(adobeTransform);
/*     */     } else {
/* 127 */       adobeTransform.setAttribute("transform", "1");
/*     */     } 
/*     */     
/*     */     try {
/* 131 */       meta.setFromTree("javax_imageio_jpeg_image_1.0", root);
/* 132 */     } catch (IIOInvalidTreeException e) {
/* 133 */       throw new RuntimeException("Cannot update image metadata: " + e.getMessage(), e);
/*     */     } 
/*     */     
/* 136 */     return meta;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 145 */   protected ImageWriteParam getDefaultWriteParam(ImageWriter iiowriter, RenderedImage image, ImageWriterParams params) { return new JPEGImageWriteParam(iiowriter.getLocale()); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\imageio\ImageIOJPEGImageWriter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.0.7
 */