/*     */ package org.apache.batik.ext.awt.image.codec.jpeg;
/*     */ 
/*     */ import com.sun.image.codec.jpeg.JPEGCodec;
/*     */ import com.sun.image.codec.jpeg.JPEGImageDecoder;
/*     */ import com.sun.image.codec.jpeg.TruncatedFileException;
/*     */ import java.awt.geom.Rectangle2D;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.ColorModel;
/*     */ import java.awt.image.WritableRaster;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import org.apache.batik.ext.awt.image.GraphicsUtil;
/*     */ import org.apache.batik.ext.awt.image.renderable.DeferRable;
/*     */ import org.apache.batik.ext.awt.image.renderable.Filter;
/*     */ import org.apache.batik.ext.awt.image.renderable.RedRable;
/*     */ import org.apache.batik.ext.awt.image.rendered.Any2sRGBRed;
/*     */ import org.apache.batik.ext.awt.image.rendered.CachableRed;
/*     */ import org.apache.batik.ext.awt.image.rendered.FormatRed;
/*     */ import org.apache.batik.ext.awt.image.spi.ImageTagRegistry;
/*     */ import org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry;
/*     */ import org.apache.batik.util.ParsedURL;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JPEGRegistryEntry
/*     */   extends MagicNumberRegistryEntry
/*     */ {
/*  50 */   static final byte[] sigJPEG = { -1, -40, -1 };
/*     */   
/*  52 */   static final String[] exts = { "jpeg", "jpg" };
/*  53 */   static final String[] mimeTypes = { "image/jpeg", "image/jpg" };
/*  54 */   static final MagicNumberRegistryEntry.MagicNumber[] magicNumbers = { new MagicNumberRegistryEntry.MagicNumber(0, sigJPEG) };
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   public JPEGRegistryEntry() { super("JPEG", exts, mimeTypes, magicNumbers); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Filter handleStream(InputStream inIS, ParsedURL origURL, boolean needRawData) {
/*     */     Object[] arrayOfObject;
/*     */     String str;
/*  75 */     DeferRable dr = new DeferRable();
/*  76 */     InputStream is = inIS;
/*     */ 
/*     */     
/*  79 */     if (origURL != null) {
/*  80 */       str = "url.format.unreadable";
/*  81 */       arrayOfObject = new Object[] { "JPEG", origURL };
/*     */     } else {
/*  83 */       str = "stream.format.unreadable";
/*  84 */       arrayOfObject = new Object[] { "JPEG" };
/*     */     } 
/*     */     
/*  87 */     Thread t = new Thread(this, is, dr, str, arrayOfObject) { private final InputStream val$is; private final DeferRable val$dr;
/*     */         
/*     */         public void run() {
/*     */           Filter filter;
/*     */           try {
/*  92 */             JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder(this.val$is);
/*     */             
/*     */             try {
/*  95 */               bufferedImage = decoder.decodeAsBufferedImage();
/*     */             } catch (TruncatedFileException tfe) {
/*  97 */               bufferedImage = tfe.getBufferedImage();
/*     */ 
/*     */               
/* 100 */               if (bufferedImage == null) {
/* 101 */                 throw new IOException("JPEG File was truncated");
/*     */               }
/*     */             } 
/* 104 */             this.val$dr.setBounds(new Rectangle2D.Double(0.0D, 0.0D, bufferedImage.getWidth(), bufferedImage.getHeight()));
/*     */ 
/*     */ 
/*     */             
/* 108 */             CachableRed cr = GraphicsUtil.wrap(bufferedImage);
/* 109 */             Any2sRGBRed any2sRGBRed = new Any2sRGBRed(cr);
/* 110 */             FormatRed formatRed = new FormatRed(any2sRGBRed, GraphicsUtil.sRGB_Unpre);
/* 111 */             WritableRaster wr = (WritableRaster)formatRed.getData();
/* 112 */             ColorModel cm = formatRed.getColorModel();
/* 113 */             BufferedImage bufferedImage = new BufferedImage(cm, wr, cm.isAlphaPremultiplied(), null);
/*     */             
/* 115 */             CachableRed cachableRed = GraphicsUtil.wrap(bufferedImage);
/* 116 */             filter = new RedRable(cachableRed);
/*     */           } catch (IOException ioe) {
/*     */             
/* 119 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } catch (ThreadDeath td) {
/*     */             
/* 122 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */             
/* 124 */             this.val$dr.setSource(filter);
/* 125 */             throw td;
/*     */           } catch (Throwable t) {
/* 127 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } 
/*     */ 
/*     */           
/* 131 */           this.val$dr.setSource(filter);
/*     */         } private final String val$errCode; private final Object[] val$errParam; private final JPEGRegistryEntry this$0; }
/*     */       ;
/* 134 */     t.start();
/* 135 */     return dr;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\jpeg\JPEGRegistryEntry.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */