/*     */ package org.apache.batik.ext.awt.image.codec.png;
/*     */ 
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.DataOutput;
/*     */ import java.io.DataOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class ChunkStream
/*     */   extends OutputStream
/*     */   implements DataOutput
/*     */ {
/*     */   private String type;
/*     */   private ByteArrayOutputStream baos;
/*     */   private DataOutputStream dos;
/*     */   
/*     */   ChunkStream(String type) throws IOException {
/*  81 */     this.type = type;
/*     */     
/*  83 */     this.baos = new ByteArrayOutputStream();
/*  84 */     this.dos = new DataOutputStream(this.baos);
/*     */   }
/*     */ 
/*     */   
/*  88 */   public void write(byte[] b) throws IOException { this.dos.write(b); }
/*     */ 
/*     */ 
/*     */   
/*  92 */   public void write(byte[] b, int off, int len) throws IOException { this.dos.write(b, off, len); }
/*     */ 
/*     */ 
/*     */   
/*  96 */   public void write(int b) throws IOException { this.dos.write(b); }
/*     */ 
/*     */ 
/*     */   
/* 100 */   public void writeBoolean(boolean v) throws IOException { this.dos.writeBoolean(v); }
/*     */ 
/*     */ 
/*     */   
/* 104 */   public void writeByte(int v) throws IOException { this.dos.writeByte(v); }
/*     */ 
/*     */ 
/*     */   
/* 108 */   public void writeBytes(String s) throws IOException { this.dos.writeBytes(s); }
/*     */ 
/*     */ 
/*     */   
/* 112 */   public void writeChar(int v) throws IOException { this.dos.writeChar(v); }
/*     */ 
/*     */ 
/*     */   
/* 116 */   public void writeChars(String s) throws IOException { this.dos.writeChars(s); }
/*     */ 
/*     */ 
/*     */   
/* 120 */   public void writeDouble(double v) throws IOException { this.dos.writeDouble(v); }
/*     */ 
/*     */ 
/*     */   
/* 124 */   public void writeFloat(float v) throws IOException { this.dos.writeFloat(v); }
/*     */ 
/*     */ 
/*     */   
/* 128 */   public void writeInt(int v) throws IOException { this.dos.writeInt(v); }
/*     */ 
/*     */ 
/*     */   
/* 132 */   public void writeLong(long v) throws IOException { this.dos.writeLong(v); }
/*     */ 
/*     */ 
/*     */   
/* 136 */   public void writeShort(int v) throws IOException { this.dos.writeShort(v); }
/*     */ 
/*     */ 
/*     */   
/* 140 */   public void writeUTF(String str) throws IOException { this.dos.writeUTF(str); }
/*     */ 
/*     */   
/*     */   public void writeToStream(DataOutputStream output) throws IOException {
/* 144 */     byte[] typeSignature = new byte[4];
/* 145 */     typeSignature[0] = (byte)this.type.charAt(0);
/* 146 */     typeSignature[1] = (byte)this.type.charAt(1);
/* 147 */     typeSignature[2] = (byte)this.type.charAt(2);
/* 148 */     typeSignature[3] = (byte)this.type.charAt(3);
/*     */     
/* 150 */     this.dos.flush();
/* 151 */     this.baos.flush();
/*     */     
/* 153 */     byte[] data = this.baos.toByteArray();
/* 154 */     int len = data.length;
/*     */     
/* 156 */     output.writeInt(len);
/* 157 */     output.write(typeSignature);
/* 158 */     output.write(data, 0, len);
/*     */     
/* 160 */     int crc = -1;
/* 161 */     crc = CRC.updateCRC(crc, typeSignature, 0, 4);
/* 162 */     crc = CRC.updateCRC(crc, data, 0, len);
/* 163 */     output.writeInt(crc ^ 0xFFFFFFFF);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() throws IOException {
/* 174 */     if (this.baos != null) {
/* 175 */       this.baos.close();
/* 176 */       this.baos = null;
/*     */     } 
/* 178 */     if (this.dos != null) {
/* 179 */       this.dos.close();
/* 180 */       this.dos = null;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\png\ChunkStream.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */