/*     */ package org.apache.batik.ext.awt.image.codec.png;
/*     */ 
/*     */ import java.io.FilterOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class IDATOutputStream
/*     */   extends FilterOutputStream
/*     */ {
/* 188 */   private static final byte[] typeSignature = { 73, 68, 65, 84 };
/*     */ 
/*     */   
/* 191 */   private int bytesWritten = 0;
/*     */   
/*     */   private int segmentLength;
/*     */   byte[] buffer;
/*     */   
/*     */   public IDATOutputStream(OutputStream output, int segmentLength) {
/* 197 */     super(output);
/* 198 */     this.segmentLength = segmentLength;
/* 199 */     this.buffer = new byte[segmentLength];
/*     */   }
/*     */ 
/*     */   
/* 203 */   public void close() throws IOException { flush(); }
/*     */ 
/*     */   
/*     */   private void writeInt(int x) throws IOException {
/* 207 */     this.out.write(x >> 24);
/* 208 */     this.out.write(x >> 16 & 0xFF);
/* 209 */     this.out.write(x >> 8 & 0xFF);
/* 210 */     this.out.write(x & 0xFF);
/*     */   }
/*     */ 
/*     */   
/*     */   public void flush() throws IOException {
/* 215 */     writeInt(this.bytesWritten);
/*     */     
/* 217 */     this.out.write(typeSignature);
/*     */     
/* 219 */     this.out.write(this.buffer, 0, this.bytesWritten);
/*     */     
/* 221 */     int crc = -1;
/* 222 */     crc = CRC.updateCRC(crc, typeSignature, 0, 4);
/* 223 */     crc = CRC.updateCRC(crc, this.buffer, 0, this.bytesWritten);
/*     */ 
/*     */     
/* 226 */     writeInt(crc ^ 0xFFFFFFFF);
/*     */ 
/*     */     
/* 229 */     this.bytesWritten = 0;
/*     */   }
/*     */ 
/*     */   
/* 233 */   public void write(byte[] b) throws IOException { write(b, 0, b.length); }
/*     */ 
/*     */   
/*     */   public void write(byte[] b, int off, int len) throws IOException {
/* 237 */     while (len > 0) {
/* 238 */       int bytes = Math.min(this.segmentLength - this.bytesWritten, len);
/* 239 */       System.arraycopy(b, off, this.buffer, this.bytesWritten, bytes);
/* 240 */       off += bytes;
/* 241 */       len -= bytes;
/* 242 */       this.bytesWritten += bytes;
/*     */       
/* 244 */       if (this.bytesWritten == this.segmentLength) {
/* 245 */         flush();
/*     */       }
/*     */     } 
/*     */   }
/*     */   
/*     */   public void write(int b) throws IOException {
/* 251 */     this.buffer[this.bytesWritten++] = (byte)b;
/* 252 */     if (this.bytesWritten == this.segmentLength)
/* 253 */       flush(); 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\png\IDATOutputStream.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */