/*     */ package org.apache.batik.ext.awt.image.codec.png;
/*     */ 
/*     */ import org.apache.batik.ext.awt.image.codec.util.ImageDecodeParam;
/*     */ import org.apache.batik.ext.awt.image.codec.util.PropertyUtil;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PNGDecodeParam
/*     */   implements ImageDecodeParam
/*     */ {
/*     */   private boolean suppressAlpha = false;
/*     */   
/*  92 */   public boolean getSuppressAlpha() { return this.suppressAlpha; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public void setSuppressAlpha(boolean suppressAlpha) { this.suppressAlpha = suppressAlpha; }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean expandPalette = false;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   public boolean getExpandPalette() { return this.expandPalette; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 127 */   public void setExpandPalette(boolean expandPalette) { this.expandPalette = expandPalette; }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean output8BitGray = false;
/*     */ 
/*     */ 
/*     */   
/* 136 */   public boolean getOutput8BitGray() { return this.output8BitGray; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 155 */   public void setOutput8BitGray(boolean output8BitGray) { this.output8BitGray = output8BitGray; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean performGammaCorrection = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   public boolean getPerformGammaCorrection() { return this.performGammaCorrection; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 182 */   public void setPerformGammaCorrection(boolean performGammaCorrection) { this.performGammaCorrection = performGammaCorrection; }
/*     */ 
/*     */   
/* 185 */   private float userExponent = 1.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 192 */   public float getUserExponent() { return this.userExponent; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setUserExponent(float userExponent) {
/* 232 */     if (userExponent <= 0.0F) {
/* 233 */       throw new IllegalArgumentException(PropertyUtil.getString("PNGDecodeParam0"));
/*     */     }
/* 235 */     this.userExponent = userExponent;
/*     */   }
/*     */   
/* 238 */   private float displayExponent = 2.2F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 245 */   public float getDisplayExponent() { return this.displayExponent; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDisplayExponent(float displayExponent) {
/* 281 */     if (displayExponent <= 0.0F) {
/* 282 */       throw new IllegalArgumentException(PropertyUtil.getString("PNGDecodeParam1"));
/*     */     }
/* 284 */     this.displayExponent = displayExponent;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean expandGrayAlpha = false;
/*     */ 
/*     */ 
/*     */   
/* 293 */   public boolean getExpandGrayAlpha() { return this.expandGrayAlpha; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 308 */   public void setExpandGrayAlpha(boolean expandGrayAlpha) { this.expandGrayAlpha = expandGrayAlpha; }
/*     */ 
/*     */   
/*     */   private boolean generateEncodeParam = false;
/*     */   
/* 313 */   private PNGEncodeParam encodeParam = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 321 */   public boolean getGenerateEncodeParam() { return this.generateEncodeParam; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 333 */   public void setGenerateEncodeParam(boolean generateEncodeParam) { this.generateEncodeParam = generateEncodeParam; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 343 */   public PNGEncodeParam getEncodeParam() { return this.encodeParam; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 352 */   public void setEncodeParam(PNGEncodeParam encodeParam) { this.encodeParam = encodeParam; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\png\PNGDecodeParam.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */