/*     */ package org.apache.batik.ext.awt.image.codec.png;
/*     */ 
/*     */ import java.awt.geom.Rectangle2D;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.ColorModel;
/*     */ import java.awt.image.WritableRaster;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import org.apache.batik.ext.awt.image.GraphicsUtil;
/*     */ import org.apache.batik.ext.awt.image.renderable.DeferRable;
/*     */ import org.apache.batik.ext.awt.image.renderable.Filter;
/*     */ import org.apache.batik.ext.awt.image.renderable.RedRable;
/*     */ import org.apache.batik.ext.awt.image.rendered.Any2sRGBRed;
/*     */ import org.apache.batik.ext.awt.image.rendered.CachableRed;
/*     */ import org.apache.batik.ext.awt.image.rendered.FormatRed;
/*     */ import org.apache.batik.ext.awt.image.spi.ImageTagRegistry;
/*     */ import org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry;
/*     */ import org.apache.batik.util.ParsedURL;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PNGRegistryEntry
/*     */   extends MagicNumberRegistryEntry
/*     */ {
/*  47 */   static final byte[] signature = { -119, 80, 78, 71, 13, 10, 26, 10 };
/*     */ 
/*     */   
/*  50 */   public PNGRegistryEntry() { super("PNG", "png", "image/png", 0, signature); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Filter handleStream(InputStream inIS, ParsedURL origURL, boolean needRawData) {
/*     */     Object[] arrayOfObject;
/*     */     String str;
/*  66 */     DeferRable dr = new DeferRable();
/*  67 */     InputStream is = inIS;
/*  68 */     boolean raw = needRawData;
/*     */ 
/*     */     
/*  71 */     if (origURL != null) {
/*  72 */       str = "url.format.unreadable";
/*  73 */       arrayOfObject = new Object[] { "PNG", origURL };
/*     */     } else {
/*  75 */       str = "stream.format.unreadable";
/*  76 */       arrayOfObject = new Object[] { "PNG" };
/*     */     } 
/*     */     
/*  79 */     Thread t = new Thread(this, raw, is, dr, str, arrayOfObject) { private final boolean val$raw; private final InputStream val$is; private final DeferRable val$dr;
/*     */         public void run() {
/*     */           Filter filter;
/*     */           try {
/*  83 */             PNGDecodeParam param = new PNGDecodeParam();
/*  84 */             param.setExpandPalette(true);
/*     */             
/*  86 */             if (this.val$raw) {
/*  87 */               param.setPerformGammaCorrection(false);
/*     */             } else {
/*  89 */               param.setPerformGammaCorrection(true);
/*  90 */               param.setDisplayExponent(2.2F);
/*     */             } 
/*  92 */             PNGRed pNGRed = new PNGRed(this.val$is, param);
/*  93 */             this.val$dr.setBounds(new Rectangle2D.Double(0.0D, 0.0D, pNGRed.getWidth(), pNGRed.getHeight()));
/*     */ 
/*     */             
/*  96 */             Any2sRGBRed any2sRGBRed = new Any2sRGBRed(pNGRed);
/*  97 */             FormatRed formatRed = new FormatRed(any2sRGBRed, GraphicsUtil.sRGB_Unpre);
/*  98 */             WritableRaster wr = (WritableRaster)formatRed.getData();
/*  99 */             ColorModel cm = formatRed.getColorModel();
/*     */             
/* 101 */             BufferedImage image = new BufferedImage(cm, wr, cm.isAlphaPremultiplied(), null);
/*     */             
/* 103 */             CachableRed cachableRed = GraphicsUtil.wrap(image);
/* 104 */             filter = new RedRable(cachableRed);
/*     */           } catch (IOException ioe) {
/* 106 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } catch (ThreadDeath td) {
/*     */             
/* 109 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */             
/* 111 */             this.val$dr.setSource(filter);
/* 112 */             throw td;
/*     */           } catch (Throwable t) {
/* 114 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } 
/*     */ 
/*     */           
/* 118 */           this.val$dr.setSource(filter);
/*     */         } private final String val$errCode; private final Object[] val$errParam; private final PNGRegistryEntry this$0; }
/*     */       ;
/* 121 */     t.start();
/* 122 */     return dr;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\png\PNGRegistryEntry.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */