/*     */ package org.apache.batik.ext.awt.image.codec.tiff;
/*     */ 
/*     */ import com.sun.image.codec.jpeg.JPEGEncodeParam;
/*     */ import java.util.Iterator;
/*     */ import org.apache.batik.ext.awt.image.codec.util.ImageEncodeParam;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIFFEncodeParam
/*     */   implements ImageEncodeParam
/*     */ {
/*     */   public static final int COMPRESSION_NONE = 1;
/*     */   public static final int COMPRESSION_GROUP3_1D = 2;
/*     */   public static final int COMPRESSION_GROUP3_2D = 3;
/*     */   public static final int COMPRESSION_GROUP4 = 4;
/*     */   public static final int COMPRESSION_LZW = 5;
/*     */   public static final int COMPRESSION_JPEG_BROKEN = 6;
/*     */   public static final int COMPRESSION_JPEG_TTN2 = 7;
/*     */   public static final int COMPRESSION_PACKBITS = 32773;
/*     */   public static final int COMPRESSION_DEFLATE = 32946;
/*  99 */   private int compression = 1;
/*     */   
/*     */   private boolean writeTiled = false;
/*     */   
/*     */   private int tileWidth;
/*     */   
/*     */   private int tileHeight;
/*     */   
/*     */   private Iterator extraImages;
/*     */   private TIFFField[] extraFields;
/*     */   private boolean convertJPEGRGBToYCbCr = true;
/* 110 */   private JPEGEncodeParam jpegEncodeParam = null;
/*     */   
/* 112 */   private int deflateLevel = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 124 */   public int getCompression() { return this.compression; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCompression(int compression) {
/* 146 */     switch (compression) {
/*     */       case 1:
/*     */       case 7:
/*     */       case 32773:
/*     */       case 32946:
/*     */         break;
/*     */       
/*     */       default:
/* 154 */         throw new Error("TIFFEncodeParam0");
/*     */     } 
/*     */     
/* 157 */     this.compression = compression;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 164 */   public boolean getWriteTiled() { return this.writeTiled; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   public void setWriteTiled(boolean writeTiled) { this.writeTiled = writeTiled; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTileSize(int tileWidth, int tileHeight) {
/* 199 */     this.tileWidth = tileWidth;
/* 200 */     this.tileHeight = tileHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 207 */   public int getTileWidth() { return this.tileWidth; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 214 */   public int getTileHeight() { return this.tileHeight; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 235 */   public void setExtraImages(Iterator extraImages) { this.extraImages = extraImages; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 244 */   public Iterator getExtraImages() { return this.extraImages; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDeflateLevel(int deflateLevel) {
/* 255 */     if (deflateLevel < 1 && deflateLevel > 9 && deflateLevel != -1)
/*     */     {
/* 257 */       throw new Error("TIFFEncodeParam1");
/*     */     }
/*     */     
/* 260 */     this.deflateLevel = deflateLevel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 267 */   public int getDeflateLevel() { return this.deflateLevel; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 276 */   public void setJPEGCompressRGBToYCbCr(boolean convertJPEGRGBToYCbCr) { this.convertJPEGRGBToYCbCr = convertJPEGRGBToYCbCr; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 283 */   public boolean getJPEGCompressRGBToYCbCr() { return this.convertJPEGRGBToYCbCr; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setJPEGEncodeParam(JPEGEncodeParam jpegEncodeParam) {
/* 307 */     if (jpegEncodeParam != null) {
/* 308 */       jpegEncodeParam = (JPEGEncodeParam)jpegEncodeParam.clone();
/* 309 */       jpegEncodeParam.setTableInfoValid(false);
/* 310 */       jpegEncodeParam.setImageInfoValid(true);
/*     */     } 
/* 312 */     this.jpegEncodeParam = jpegEncodeParam;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 319 */   public JPEGEncodeParam getJPEGEncodeParam() { return this.jpegEncodeParam; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 333 */   public void setExtraFields(TIFFField[] extraFields) { this.extraFields = extraFields; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 340 */   public TIFFField[] getExtraFields() { return this.extraFields; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\tiff\TIFFEncodeParam.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */