/*     */ package org.apache.batik.ext.awt.image.codec.tiff;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIFFField
/*     */   implements Comparable, Serializable
/*     */ {
/*     */   public static final int TIFF_BYTE = 1;
/*     */   public static final int TIFF_ASCII = 2;
/*     */   public static final int TIFF_SHORT = 3;
/*     */   public static final int TIFF_LONG = 4;
/*     */   public static final int TIFF_RATIONAL = 5;
/*     */   public static final int TIFF_SBYTE = 6;
/*     */   public static final int TIFF_UNDEFINED = 7;
/*     */   public static final int TIFF_SSHORT = 8;
/*     */   public static final int TIFF_SLONG = 9;
/*     */   public static final int TIFF_SRATIONAL = 10;
/*     */   public static final int TIFF_FLOAT = 11;
/*     */   public static final int TIFF_DOUBLE = 12;
/*     */   int tag;
/*     */   int type;
/*     */   int count;
/*     */   Object data;
/*     */   
/*     */   TIFFField() {}
/*     */   
/*     */   public TIFFField(int tag, int type, int count, Object data) {
/* 130 */     this.tag = tag;
/* 131 */     this.type = type;
/* 132 */     this.count = count;
/* 133 */     this.data = data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 140 */   public int getTag() { return this.tag; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public int getType() { return this.type; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   public int getCount() { return this.count; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 174 */   public byte[] getAsBytes() { return (byte[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 185 */   public char[] getAsChars() { return (char[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 196 */   public short[] getAsShorts() { return (short[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 207 */   public int[] getAsInts() { return (int[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 218 */   public long[] getAsLongs() { return (long[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 228 */   public float[] getAsFloats() { return (float[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 238 */   public double[] getAsDoubles() { return (double[])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 248 */   public int[][] getAsSRationals() { return (int[][])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 258 */   public long[][] getAsRationals() { return (long[][])this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAsInt(int index) {
/* 275 */     switch (this.type) { case 1:
/*     */       case 7:
/* 277 */         return (byte[])this.data[index] & 0xFF;
/*     */       case 6:
/* 279 */         return (byte[])this.data[index];
/*     */       case 3:
/* 281 */         return (char[])this.data[index] & 0xFFFF;
/*     */       case 8:
/* 283 */         return (short[])this.data[index];
/*     */       case 9:
/* 285 */         return (int[])this.data[index]; }
/*     */     
/* 287 */     throw new ClassCastException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long getAsLong(int index) {
/* 305 */     switch (this.type) { case 1:
/*     */       case 7:
/* 307 */         return ((byte[])this.data[index] & 0xFF);
/*     */       case 6:
/* 309 */         return (byte[])this.data[index];
/*     */       case 3:
/* 311 */         return ((char[])this.data[index] & 0xFFFF);
/*     */       case 8:
/* 313 */         return (short[])this.data[index];
/*     */       case 9:
/* 315 */         return (int[])this.data[index];
/*     */       case 4:
/* 317 */         return (long[])this.data[index]; }
/*     */     
/* 319 */     throw new ClassCastException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getAsFloat(int index) {
/*     */     long[] lvalue;
/*     */     int[] ivalue;
/* 335 */     switch (this.type) {
/*     */       case 1:
/* 337 */         return ((byte[])this.data[index] & 0xFF);
/*     */       case 6:
/* 339 */         return (byte[])this.data[index];
/*     */       case 3:
/* 341 */         return ((char[])this.data[index] & 0xFFFF);
/*     */       case 8:
/* 343 */         return (short[])this.data[index];
/*     */       case 9:
/* 345 */         return (int[])this.data[index];
/*     */       case 4:
/* 347 */         return (float)(long[])this.data[index];
/*     */       case 11:
/* 349 */         return (float[])this.data[index];
/*     */       case 12:
/* 351 */         return (float)(double[])this.data[index];
/*     */       case 10:
/* 353 */         ivalue = getAsSRational(index);
/* 354 */         return (float)(ivalue[0] / ivalue[1]);
/*     */       case 5:
/* 356 */         lvalue = getAsRational(index);
/* 357 */         return (float)(lvalue[0] / lvalue[1]);
/*     */     } 
/* 359 */     throw new ClassCastException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getAsDouble(int index) {
/*     */     long[] lvalue;
/*     */     int[] ivalue;
/* 373 */     switch (this.type) {
/*     */       case 1:
/* 375 */         return ((byte[])this.data[index] & 0xFF);
/*     */       case 6:
/* 377 */         return (byte[])this.data[index];
/*     */       case 3:
/* 379 */         return ((char[])this.data[index] & 0xFFFF);
/*     */       case 8:
/* 381 */         return (short[])this.data[index];
/*     */       case 9:
/* 383 */         return (int[])this.data[index];
/*     */       case 4:
/* 385 */         return (long[])this.data[index];
/*     */       case 11:
/* 387 */         return (float[])this.data[index];
/*     */       case 12:
/* 389 */         return (double[])this.data[index];
/*     */       case 10:
/* 391 */         ivalue = getAsSRational(index);
/* 392 */         return ivalue[0] / ivalue[1];
/*     */       case 5:
/* 394 */         lvalue = getAsRational(index);
/* 395 */         return lvalue[0] / lvalue[1];
/*     */     } 
/* 397 */     throw new ClassCastException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 408 */   public String getAsString(int index) { return (String[])this.data[index]; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 419 */   public int[] getAsSRational(int index) { return (int[][])this.data[index]; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 430 */   public long[] getAsRational(int index) { return (long[][])this.data[index]; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int compareTo(Object o) {
/* 445 */     if (o == null) {
/* 446 */       throw new IllegalArgumentException();
/*     */     }
/*     */     
/* 449 */     int oTag = ((TIFFField)o).getTag();
/*     */     
/* 451 */     if (this.tag < oTag)
/* 452 */       return -1; 
/* 453 */     if (this.tag > oTag) {
/* 454 */       return 1;
/*     */     }
/* 456 */     return 0;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\tiff\TIFFField.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */