/*     */ package org.apache.batik.ext.awt.image.codec.tiff;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIFFLZWDecoder
/*     */ {
/*     */   byte[][] stringTable;
/*     */   byte[] data;
/*     */   byte[] uncompData;
/*     */   int tableIndex;
/*     */   int bitsToGet;
/*     */   int bytePointer;
/*     */   int bitPointer;
/*     */   int dstIndex;
/*     */   int w;
/*     */   int h;
/*     */   int predictor;
/*     */   int samplesPerPixel;
/*     */   int nextData;
/*     */   int nextBits;
/*     */   int[] andTable;
/*     */   
/*     */   public TIFFLZWDecoder(int w, int predictor, int samplesPerPixel) {
/*  30 */     this.data = null;
/*     */     
/*  32 */     this.bitsToGet = 9;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  37 */     this.nextData = 0;
/*  38 */     this.nextBits = 0;
/*     */     
/*  40 */     this.andTable = new int[] { 511, 1023, 2047, 4095 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  48 */     this.w = w;
/*  49 */     this.predictor = predictor;
/*  50 */     this.samplesPerPixel = samplesPerPixel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] decode(byte[] data, byte[] uncompData, int h) {
/*  62 */     if (data[0] == 0 && data[1] == 1) {
/*  63 */       throw new UnsupportedOperationException("TIFFLZWDecoder0");
/*     */     }
/*     */     
/*  66 */     initializeStringTable();
/*     */     
/*  68 */     this.data = data;
/*  69 */     this.h = h;
/*  70 */     this.uncompData = uncompData;
/*     */ 
/*     */     
/*  73 */     this.bytePointer = 0;
/*  74 */     this.bitPointer = 0;
/*  75 */     this.dstIndex = 0;
/*     */ 
/*     */     
/*  78 */     this.nextData = 0;
/*  79 */     this.nextBits = 0;
/*     */     
/*  81 */     int oldCode = 0;
/*     */     
/*     */     int code;
/*     */     
/*  85 */     while ((code = getNextCode()) != 257 && this.dstIndex != uncompData.length) {
/*     */       
/*  87 */       if (code == 256) {
/*     */         
/*  89 */         initializeStringTable();
/*  90 */         code = getNextCode();
/*     */         
/*  92 */         if (code == 257) {
/*     */           break;
/*     */         }
/*     */         
/*  96 */         writeString(this.stringTable[code]);
/*  97 */         oldCode = code;
/*     */         
/*     */         continue;
/*     */       } 
/* 101 */       if (code < this.tableIndex) {
/*     */         
/* 103 */         byte[] string = this.stringTable[code];
/*     */         
/* 105 */         writeString(string);
/* 106 */         addStringToTable(this.stringTable[oldCode], string[0]);
/* 107 */         oldCode = code;
/*     */         
/*     */         continue;
/*     */       } 
/* 111 */       byte[] arrayOfByte = this.stringTable[oldCode];
/* 112 */       arrayOfByte = composeString(arrayOfByte, arrayOfByte[0]);
/* 113 */       writeString(arrayOfByte);
/* 114 */       addStringToTable(arrayOfByte);
/* 115 */       oldCode = code;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 123 */     if (this.predictor == 2)
/*     */     {
/*     */       
/* 126 */       for (int j = 0; j < h; j++) {
/*     */         
/* 128 */         int count = this.samplesPerPixel * (j * this.w + 1);
/*     */         
/* 130 */         for (int i = this.samplesPerPixel; i < this.w * this.samplesPerPixel; i++) {
/*     */           
/* 132 */           uncompData[count] = (byte)(uncompData[count] + uncompData[count - this.samplesPerPixel]);
/* 133 */           count++;
/*     */         } 
/*     */       } 
/*     */     }
/*     */     
/* 138 */     return uncompData;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeStringTable() {
/* 147 */     this.stringTable = new byte[4096][];
/*     */     
/* 149 */     for (int i = 0; i < 256; i++) {
/* 150 */       this.stringTable[i] = new byte[1];
/* 151 */       this.stringTable[i][0] = (byte)i;
/*     */     } 
/*     */     
/* 154 */     this.tableIndex = 258;
/* 155 */     this.bitsToGet = 9;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void writeString(byte[] string) {
/* 163 */     for (int i = 0; i < string.length; i++) {
/* 164 */       this.uncompData[this.dstIndex++] = string[i];
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addStringToTable(byte[] oldString, byte newString) {
/* 172 */     int length = oldString.length;
/* 173 */     byte[] string = new byte[length + 1];
/* 174 */     System.arraycopy(oldString, 0, string, 0, length);
/* 175 */     string[length] = newString;
/*     */ 
/*     */     
/* 178 */     this.stringTable[this.tableIndex++] = string;
/*     */     
/* 180 */     if (this.tableIndex == 511) {
/* 181 */       this.bitsToGet = 10;
/* 182 */     } else if (this.tableIndex == 1023) {
/* 183 */       this.bitsToGet = 11;
/* 184 */     } else if (this.tableIndex == 2047) {
/* 185 */       this.bitsToGet = 12;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addStringToTable(byte[] string) {
/* 195 */     this.stringTable[this.tableIndex++] = string;
/*     */     
/* 197 */     if (this.tableIndex == 511) {
/* 198 */       this.bitsToGet = 10;
/* 199 */     } else if (this.tableIndex == 1023) {
/* 200 */       this.bitsToGet = 11;
/* 201 */     } else if (this.tableIndex == 2047) {
/* 202 */       this.bitsToGet = 12;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] composeString(byte[] oldString, byte newString) {
/* 210 */     int length = oldString.length;
/* 211 */     byte[] string = new byte[length + 1];
/* 212 */     System.arraycopy(oldString, 0, string, 0, length);
/* 213 */     string[length] = newString;
/*     */     
/* 215 */     return string;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNextCode() {
/*     */     try {
/* 225 */       this.nextData = this.nextData << 8 | this.data[this.bytePointer++] & 0xFF;
/* 226 */       this.nextBits += 8;
/*     */       
/* 228 */       if (this.nextBits < this.bitsToGet) {
/* 229 */         this.nextData = this.nextData << 8 | this.data[this.bytePointer++] & 0xFF;
/* 230 */         this.nextBits += 8;
/*     */       } 
/*     */       
/* 233 */       int code = this.nextData >> this.nextBits - this.bitsToGet & this.andTable[this.bitsToGet - 9];
/*     */       
/* 235 */       this.nextBits -= this.bitsToGet;
/*     */       
/* 237 */       return code;
/*     */     } catch (ArrayIndexOutOfBoundsException e) {
/*     */       
/* 240 */       return 257;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\tiff\TIFFLZWDecoder.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */