/*     */ package org.apache.batik.ext.awt.image.codec.tiff;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
/*     */ import org.apache.batik.ext.awt.image.renderable.DeferRable;
/*     */ import org.apache.batik.ext.awt.image.renderable.Filter;
/*     */ import org.apache.batik.ext.awt.image.renderable.RedRable;
/*     */ import org.apache.batik.ext.awt.image.rendered.Any2sRGBRed;
/*     */ import org.apache.batik.ext.awt.image.spi.ImageTagRegistry;
/*     */ import org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry;
/*     */ import org.apache.batik.util.ParsedURL;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIFFRegistryEntry
/*     */   extends MagicNumberRegistryEntry
/*     */ {
/*  41 */   static final byte[] sig1 = { 73, 73, 42, 0 };
/*  42 */   static final byte[] sig2 = { 77, 77, 0, 42 };
/*     */   
/*  44 */   static MagicNumberRegistryEntry.MagicNumber[] magicNumbers = { new MagicNumberRegistryEntry.MagicNumber(0, sig1), new MagicNumberRegistryEntry.MagicNumber(0, sig2) };
/*     */ 
/*     */ 
/*     */   
/*  48 */   static final String[] exts = { "tiff", "tif" };
/*  49 */   static final String[] mimeTypes = { "image/tiff", "image/tif" };
/*     */ 
/*     */   
/*  52 */   public TIFFRegistryEntry() { super("TIFF", exts, mimeTypes, magicNumbers); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Filter handleStream(InputStream inIS, ParsedURL origURL, boolean needRawData) {
/*     */     Object[] arrayOfObject;
/*     */     String str;
/*  69 */     DeferRable dr = new DeferRable();
/*  70 */     InputStream is = inIS;
/*     */ 
/*     */     
/*  73 */     if (origURL != null) {
/*  74 */       str = "url.format.unreadable";
/*  75 */       arrayOfObject = new Object[] { "TIFF", origURL };
/*     */     } else {
/*  77 */       str = "stream.format.unreadable";
/*  78 */       arrayOfObject = new Object[] { "TIFF" };
/*     */     } 
/*     */     
/*  81 */     Thread t = new Thread(this, is, str, arrayOfObject, dr) { private final InputStream val$is; private final String val$errCode;
/*     */         public void run() {
/*     */           Filter filter;
/*     */           try {
/*  85 */             TIFFDecodeParam param = new TIFFDecodeParam();
/*  86 */             SeekableStream ss = SeekableStream.wrapInputStream(this.val$is, true);
/*     */             
/*  88 */             TIFFImage tIFFImage = new TIFFImage(ss, param, 0);
/*  89 */             Any2sRGBRed any2sRGBRed = new Any2sRGBRed(tIFFImage);
/*  90 */             filter = new RedRable(any2sRGBRed);
/*     */           } catch (IOException ioe) {
/*  92 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } catch (ThreadDeath td) {
/*     */             
/*  95 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */             
/*  97 */             this.val$dr.setSource(filter);
/*  98 */             throw td;
/*     */           } catch (Throwable t) {
/* 100 */             filter = ImageTagRegistry.getBrokenLinkImage(this.this$0, this.val$errCode, this.val$errParam);
/*     */           } 
/*     */ 
/*     */           
/* 104 */           this.val$dr.setSource(filter);
/*     */         } private final Object[] val$errParam; private final DeferRable val$dr; private final TIFFRegistryEntry this$0; }
/*     */       ;
/* 107 */     t.start();
/* 108 */     return dr;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\tiff\TIFFRegistryEntry.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */