/*     */ package org.apache.batik.ext.awt.image.codec.tiff;
/*     */ 
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.PixelInterleavedSampleModel;
/*     */ import java.awt.image.SampleModel;
/*     */ import java.awt.image.SinglePixelPackedSampleModel;
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ import org.apache.batik.ext.awt.image.GraphicsUtil;
/*     */ import org.apache.batik.ext.awt.image.rendered.FormatRed;
/*     */ import org.apache.batik.transcoder.TranscoderException;
/*     */ import org.apache.batik.transcoder.TranscoderOutput;
/*     */ import org.apache.batik.transcoder.TranscodingHints;
/*     */ import org.apache.batik.transcoder.image.TIFFTranscoder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIFFTranscoderInternalCodecWriteAdapter
/*     */   implements TIFFTranscoder.WriteAdapter
/*     */ {
/*     */   public void writeImage(TIFFTranscoder transcoder, BufferedImage img, TranscoderOutput output) throws TranscoderException {
/*  52 */     TranscodingHints hints = transcoder.getTranscodingHints();
/*     */     
/*  54 */     TIFFEncodeParam params = new TIFFEncodeParam();
/*     */     
/*  56 */     float PixSzMM = transcoder.getUserAgent().getPixelUnitToMillimeter();
/*     */     
/*  58 */     int numPix = (int)((100000.0F / PixSzMM) + 0.5D);
/*  59 */     int denom = 10000;
/*  60 */     long[] rational = { numPix, denom };
/*  61 */     TIFFField[] fields = { new TIFFField(296, 3, 1, new char[] { '\003' }), new TIFFField(282, 5, 1, new long[][] { rational }), new TIFFField(283, 5, 1, new long[][] { rational }) };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  73 */     params.setExtraFields(fields);
/*     */     
/*  75 */     if (hints.containsKey(TIFFTranscoder.KEY_COMPRESSION_METHOD)) {
/*  76 */       String method = (String)hints.get(TIFFTranscoder.KEY_COMPRESSION_METHOD);
/*  77 */       if ("packbits".equals(method)) {
/*  78 */         params.setCompression(32773);
/*  79 */       } else if ("deflate".equals(method)) {
/*  80 */         params.setCompression(32946);
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/*  92 */       int w = img.getWidth();
/*  93 */       int h = img.getHeight();
/*     */       
/*  95 */       SinglePixelPackedSampleModel sppsm = (SinglePixelPackedSampleModel)img.getSampleModel();
/*  96 */       OutputStream ostream = output.getOutputStream();
/*  97 */       TIFFImageEncoder tiffEncoder = new TIFFImageEncoder(ostream, params);
/*     */       
/*  99 */       int bands = sppsm.getNumBands();
/* 100 */       int[] off = new int[bands];
/* 101 */       for (int i = 0; i < bands; i++)
/* 102 */         off[i] = i; 
/* 103 */       SampleModel sm = new PixelInterleavedSampleModel(0, w, h, bands, w * bands, off);
/*     */ 
/*     */       
/* 106 */       FormatRed formatRed = new FormatRed(GraphicsUtil.wrap(img), sm);
/* 107 */       tiffEncoder.encode(formatRed);
/* 108 */       ostream.flush();
/*     */     } catch (IOException ex) {
/* 110 */       throw new TranscoderException(ex);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\tiff\TIFFTranscoderInternalCodecWriteAdapter.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */