/*    */ package org.apache.batik.ext.awt.image.codec.imageio;
/*    */ 
/*    */ import java.awt.image.BufferedImage;
/*    */ import java.io.IOException;
/*    */ import java.io.OutputStream;
/*    */ import org.apache.batik.ext.awt.image.rendered.IndexImage;
/*    */ import org.apache.batik.ext.awt.image.spi.ImageWriter;
/*    */ import org.apache.batik.ext.awt.image.spi.ImageWriterParams;
/*    */ import org.apache.batik.ext.awt.image.spi.ImageWriterRegistry;
/*    */ import org.apache.batik.transcoder.TranscoderException;
/*    */ import org.apache.batik.transcoder.TranscoderOutput;
/*    */ import org.apache.batik.transcoder.TranscodingHints;
/*    */ import org.apache.batik.transcoder.image.PNGTranscoder;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class PNGTranscoderImageIOWriteAdapter
/*    */   implements PNGTranscoder.WriteAdapter
/*    */ {
/*    */   public void writeImage(PNGTranscoder transcoder, BufferedImage img, TranscoderOutput output) throws TranscoderException {
/* 50 */     TranscodingHints hints = transcoder.getTranscodingHints();
/*    */     
/* 52 */     int n = -1;
/* 53 */     if (hints.containsKey(PNGTranscoder.KEY_INDEXED)) {
/* 54 */       n = ((Integer)hints.get(PNGTranscoder.KEY_INDEXED)).intValue();
/* 55 */       if (n == 1 || n == 2 || n == 4 || n == 8)
/*    */       {
/* 57 */         img = IndexImage.getIndexedImage(img, 1 << n);
/*    */       }
/*    */     } 
/* 60 */     ImageWriter writer = ImageWriterRegistry.getInstance().getWriterFor("image/png");
/*    */     
/* 62 */     ImageWriterParams params = new ImageWriterParams();
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */     
/* 89 */     float PixSzMM = transcoder.getUserAgent().getPixelUnitToMillimeter();
/* 90 */     int PixSzInch = (int)(25.4D / PixSzMM + 0.5D);
/* 91 */     params.setResolution(PixSzInch);
/*    */     
/*    */     try {
/* 94 */       OutputStream ostream = output.getOutputStream();
/* 95 */       writer.writeImage(img, ostream, params);
/* 96 */       ostream.flush();
/* 97 */     } catch (IOException ex) {
/* 98 */       throw new TranscoderException(ex);
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\imageio\PNGTranscoderImageIOWriteAdapter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.0.7
 */