/*    */ package org.apache.batik.ext.awt.image.codec.jpeg;
/*    */ 
/*    */ import com.sun.image.codec.jpeg.JPEGCodec;
/*    */ import com.sun.image.codec.jpeg.JPEGEncodeParam;
/*    */ import com.sun.image.codec.jpeg.JPEGImageEncoder;
/*    */ import java.awt.image.BufferedImage;
/*    */ import java.awt.image.RenderedImage;
/*    */ import java.io.IOException;
/*    */ import java.io.OutputStream;
/*    */ import org.apache.batik.ext.awt.image.GraphicsUtil;
/*    */ import org.apache.batik.ext.awt.image.spi.ImageWriter;
/*    */ import org.apache.batik.ext.awt.image.spi.ImageWriterParams;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class JPEGImageWriter
/*    */   implements ImageWriter
/*    */ {
/* 47 */   public void writeImage(RenderedImage image, OutputStream out) throws IOException { writeImage(image, out, null); }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public void writeImage(RenderedImage image, OutputStream out, ImageWriterParams params) throws IOException {
/*    */     BufferedImage bufferedImage;
/* 56 */     if (image instanceof BufferedImage) {
/* 57 */       bufferedImage = (BufferedImage)image;
/*    */     } else {
/*    */       
/* 60 */       bufferedImage = GraphicsUtil.makeLinearBufferedImage(image.getWidth(), image.getHeight(), false);
/*    */     } 
/*    */     
/* 63 */     JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(out);
/* 64 */     if (params != null) {
/* 65 */       JPEGEncodeParam param = encoder.getDefaultJPEGEncodeParam(bufferedImage);
/* 66 */       if (params.getJPEGQuality() != null) {
/* 67 */         param.setQuality(params.getJPEGQuality().floatValue(), params.getJPEGForceBaseline().booleanValue());
/*    */       }
/*    */ 
/*    */       
/* 71 */       encoder.encode(bufferedImage, param);
/*    */     } else {
/* 73 */       encoder.encode(bufferedImage);
/*    */     } 
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 81 */   public String getMIMEType() { return "image/jpeg"; }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\jpeg\JPEGImageWriter.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */