/*    */ package org.apache.batik.ext.awt.image.codec.png;
/*    */ 
/*    */ import java.awt.image.BufferedImage;
/*    */ import java.io.IOException;
/*    */ import java.io.OutputStream;
/*    */ import org.apache.batik.ext.awt.image.rendered.IndexImage;
/*    */ import org.apache.batik.transcoder.TranscoderException;
/*    */ import org.apache.batik.transcoder.TranscoderOutput;
/*    */ import org.apache.batik.transcoder.TranscodingHints;
/*    */ import org.apache.batik.transcoder.image.PNGTranscoder;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class PNGTranscoderInternalCodecWriteAdapter
/*    */   implements PNGTranscoder.WriteAdapter
/*    */ {
/*    */   public void writeImage(PNGTranscoder transcoder, BufferedImage img, TranscoderOutput output) throws TranscoderException {
/* 46 */     TranscodingHints hints = transcoder.getTranscodingHints();
/*    */     
/* 48 */     int n = -1;
/* 49 */     if (hints.containsKey(PNGTranscoder.KEY_INDEXED)) {
/* 50 */       n = ((Integer)hints.get(PNGTranscoder.KEY_INDEXED)).intValue();
/* 51 */       if (n == 1 || n == 2 || n == 4 || n == 8)
/*    */       {
/* 53 */         img = IndexImage.getIndexedImage(img, 1 << n);
/*    */       }
/*    */     } 
/* 56 */     PNGEncodeParam params = PNGEncodeParam.getDefaultEncodeParam(img);
/* 57 */     if (params instanceof PNGEncodeParam.RGB) {
/* 58 */       ((PNGEncodeParam.RGB)params).setBackgroundRGB(new int[] { 255, 255, 255 });
/*    */     }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */     
/* 66 */     if (hints.containsKey(PNGTranscoder.KEY_GAMMA)) {
/* 67 */       float gamma = ((Float)hints.get(PNGTranscoder.KEY_GAMMA)).floatValue();
/* 68 */       if (gamma > 0.0F) {
/* 69 */         params.setGamma(gamma);
/*    */       }
/* 71 */       params.setChromaticity(PNGTranscoder.DEFAULT_CHROMA);
/*    */     }
/*    */     else {
/*    */       
/* 75 */       params.setSRGBIntent(0);
/*    */     } 
/*    */ 
/*    */     
/* 79 */     float PixSzMM = transcoder.getUserAgent().getPixelUnitToMillimeter();
/*    */     
/* 81 */     int numPix = (int)((1000.0F / PixSzMM) + 0.5D);
/* 82 */     params.setPhysicalDimension(numPix, numPix, 1);
/*    */     
/*    */     try {
/* 85 */       OutputStream ostream = output.getOutputStream();
/* 86 */       PNGImageEncoder pngEncoder = new PNGImageEncoder(ostream, params);
/* 87 */       pngEncoder.encode(img);
/* 88 */       ostream.flush();
/*    */     } catch (IOException ex) {
/* 90 */       throw new TranscoderException(ex);
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\codec\png\PNGTranscoderInternalCodecWriteAdapter.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */