/*     */ package org.apache.batik.ext.awt.image.codec.util;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ForwardSeekableStream
/*     */   extends SeekableStream
/*     */ {
/*     */   private InputStream src;
/*     */   long pointer;
/*     */   
/*     */   public ForwardSeekableStream(InputStream src) {
/*  37 */     this.pointer = 0L;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  44 */     this.src = src;
/*     */   }
/*     */ 
/*     */   
/*     */   public final int read() throws IOException {
/*  49 */     int result = this.src.read();
/*  50 */     if (result != -1) {
/*  51 */       this.pointer++;
/*     */     }
/*  53 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public final int read(byte[] b, int off, int len) throws IOException {
/*  58 */     int result = this.src.read(b, off, len);
/*  59 */     if (result != -1) {
/*  60 */       this.pointer += result;
/*     */     }
/*  62 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public final long skip(long n) throws IOException {
/*  67 */     long skipped = this.src.skip(n);
/*  68 */     this.pointer += skipped;
/*  69 */     return skipped;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*  74 */   public final int available() throws IOException { return this.src.available(); }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   public final void close() throws IOException { this.src.close(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void mark(int readLimit) {
/*  87 */     this.markPos = this.pointer;
/*  88 */     this.src.mark(readLimit);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void reset() throws IOException {
/*  96 */     if (this.markPos != -1L) {
/*  97 */       this.pointer = this.markPos;
/*     */     }
/*  99 */     this.src.reset();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 104 */   public boolean markSupported() { return this.src.markSupported(); }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 109 */   public final boolean canSeekBackwards() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 114 */   public final long getFilePointer() { return this.pointer; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void seek(long pos) throws IOException {
/* 124 */     while (pos - this.pointer > 0L)
/* 125 */       this.pointer += this.src.skip(pos - this.pointer); 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\code\\util\ForwardSeekableStream.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */