/*     */ package org.apache.batik.ext.awt.image.codec.util;
/*     */ 
/*     */ import java.awt.image.Raster;
/*     */ import java.awt.image.RenderedImage;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class ImageDecoderImpl
/*     */   implements ImageDecoder
/*     */ {
/*     */   protected SeekableStream input;
/*     */   protected ImageDecodeParam param;
/*     */   
/*     */   public ImageDecoderImpl(SeekableStream input, ImageDecodeParam param) {
/*  53 */     this.input = input;
/*  54 */     this.param = param;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ImageDecoderImpl(InputStream input, ImageDecodeParam param) {
/*  68 */     this.input = new ForwardSeekableStream(input);
/*  69 */     this.param = param;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public ImageDecodeParam getParam() { return this.param; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  95 */   public void setParam(ImageDecodeParam param) { this.param = param; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public SeekableStream getInputStream() { return this.input; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 112 */   public int getNumPages() throws IOException { return 1; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 122 */   public Raster decodeAsRaster() throws IOException { return decodeAsRaster(0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Raster decodeAsRaster(int page) throws IOException {
/* 136 */     RenderedImage im = decodeAsRenderedImage(page);
/* 137 */     return im.getData();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 147 */   public RenderedImage decodeAsRenderedImage() throws IOException { return decodeAsRenderedImage(0); }
/*     */   
/*     */   public abstract RenderedImage decodeAsRenderedImage(int paramInt) throws IOException;
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-codec.jar!\org\apache\batik\ext\awt\image\code\\util\ImageDecoderImpl.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */